package com.pnkx.designpatterns.builder;

/**
 * BYDBuilder
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/27 15:15
 * @description BYD汽车建造类
 */
public class BYDBuilder extends Builder {
    @Override
    public void setEngine() {
        System.out.println("开始组装比亚迪发动机");
        car.setEngine("比亚迪发动机");
        System.out.println("比亚迪发动机组装完成");
    }

    @Override
    public void setTire() {
        System.out.println("开始组装比亚迪轮胎");
        car.setTire("比亚迪轮胎");
        System.out.println("比亚迪轮胎组装完成");
    }

    @Override
    public void setSeat() {
        System.out.println("开始组装比亚迪座位");
        car.setSeat("比亚迪座位");
        System.out.println("比亚迪座位组装完成");
    }
}
