package com.pnkx.designpatterns.builder;

/**
 * Car
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/27 14:20
 * @description 产品类——车
 */
public class Car {

    // 发动机
    private String engine;
    // 轮胎
    private String tire;
    // 座位
    private String seat;

    public String getEngine() {
        return engine;
    }

    public void setEngine(String engine) {
        this.engine = engine;
    }

    public String getTire() {
        return tire;
    }

    public void setTire(String tire) {
        this.tire = tire;
    }

    public String getSeat() {
        return seat;
    }

    public void setSeat(String seat) {
        this.seat = seat;
    }

    @Override
    public String toString() {
        return "Car{" +
                "engine='" + engine + '\'' +
                ", tire='" + tire + '\'' +
                ", seat='" + seat + '\'' +
                '}';
    }
}
