package com.pnkx.designpatterns.builder;

/**
 * Main
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/29 9:33
 * @description 客户端
 */
public class Main {
    public static void main(String[] args) {
        // 初始化比亚迪汽车指导类
        Director BYDDirector = new Director(new BYDBuilder());
        // 开始制造比亚迪汽车
        Car BYDcar = BYDDirector.buildCar();
        System.out.println(BYDcar.toString());
        // 初始化欧尚汽车指导类
        Director OSHANDirector = new Director(new OSHANBuilder());
        // 开始制造欧尚汽车
        Car OSHANCar = OSHANDirector.buildCar();
        System.out.println(OSHANCar.toString());
    }
}
