package com.pnkx.designpatterns.builder;

/**
 * OSHANBuilder
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/29 9:24
 * @description 欧尚汽车建造类
 */
public class OSHANBuilder extends Builder {
    @Override
    public void setEngine() {
        System.out.println("开始组装欧尚发动机");
        car.setEngine("欧尚发动机");
        System.out.println("欧尚发动机组装完成");
    }

    @Override
    public void setTire() {
        System.out.println("开始组装欧尚轮胎");
        car.setTire("欧尚轮胎");
        System.out.println("欧尚轮胎组装完成");
    }

    @Override
    public void setSeat() {
        System.out.println("开始组装欧尚座位");
        car.setSeat("欧尚座位");
        System.out.println("欧尚座位组装完成");
    }
}
