package com.pnkx.designpatterns.factorymethod.factory;

import com.pnkx.designpatterns.factorymethod.model.Animal;

/**
 * AnimalFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 13:58
 * @description 动物工厂抽象类
 */
public abstract class AnimalFactory {
    // 创建动物类对象
    public abstract Animal createAnimal();
}
