package com.pnkx.designpatterns.factorymethod.factory;

import com.pnkx.designpatterns.factorymethod.model.Animal;
import com.pnkx.designpatterns.factorymethod.model.Cat;

/**
 * CatFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 16:22
 * @description 猫咪工厂
 */
public class CatFactory extends AnimalFactory {
    @Override
    public Animal createAnimal() {
        return new Cat();
    }
}
