package com.pnkx.designpatterns.factorymethod.factory;

import com.pnkx.designpatterns.factorymethod.model.Animal;
import com.pnkx.designpatterns.factorymethod.model.Dog;

/**
 * DogFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 16:23
 * @description 小狗工厂
 */
public class DogFactory extends AnimalFactory{
    @Override
    public Animal createAnimal() {
        return new Dog();
    }
}
